package com.fs.qw.service.impl;

import com.fs.qw.domain.QwFriendComments;
import com.fs.qw.mapper.QwFriendCommentsMapper;
import com.fs.qw.service.IQwFriendCommentsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 客户朋友圈互动数据Service业务层处理
 *
 * @author fs
 * @date 2024-09-18
 */
@Service
public class QwFriendCommentsServiceImpl implements IQwFriendCommentsService
{
    @Autowired
    private QwFriendCommentsMapper qwFriendCommentsMapper;

    /**
     * 查询客户朋友圈互动数据
     *
     * @param id 客户朋友圈互动数据主键
     * @return 客户朋友圈互动数据
     */
    @Override
    public QwFriendComments selectQwFriendCommentsById(Long id)
    {
        return qwFriendCommentsMapper.selectQwFriendCommentsById(id);
    }

    /**
     * 查询客户朋友圈互动数据列表
     *
     * @param qwFriendComments 客户朋友圈互动数据
     * @return 客户朋友圈互动数据
     */
    @Override
    public List<QwFriendComments> selectQwFriendCommentsList(QwFriendComments qwFriendComments)
    {
        return qwFriendCommentsMapper.selectQwFriendCommentsList(qwFriendComments);
    }

    /**
     * 新增客户朋友圈互动数据
     *
     * @param qwFriendComments 客户朋友圈互动数据
     * @return 结果
     */
    @Override
    public int insertQwFriendComments(QwFriendComments qwFriendComments)
    {
        return qwFriendCommentsMapper.insertQwFriendComments(qwFriendComments);
    }

    /**
     * 修改客户朋友圈互动数据
     *
     * @param qwFriendComments 客户朋友圈互动数据
     * @return 结果
     */
    @Override
    public int updateQwFriendComments(QwFriendComments qwFriendComments)
    {
        return qwFriendCommentsMapper.updateQwFriendComments(qwFriendComments);
    }

    /**
     * 批量删除客户朋友圈互动数据
     *
     * @param ids 需要删除的客户朋友圈互动数据主键
     * @return 结果
     */
    @Override
    public int deleteQwFriendCommentsByIds(Long[] ids)
    {
        return qwFriendCommentsMapper.deleteQwFriendCommentsByIds(ids);
    }

    /**
     * 删除客户朋友圈互动数据信息
     *
     * @param id 客户朋友圈互动数据主键
     * @return 结果
     */
    @Override
    public int deleteQwFriendCommentsById(Long id)
    {
        return qwFriendCommentsMapper.deleteQwFriendCommentsById(id);
    }
}
